Bug 1448073 - [vSphere] UI-RBAC: undefined method `all' for nil:NilClass error appears while setting ownership for template
Summary: [vSphere] UI-RBAC: undefined method `all' for nil:NilClass error appears whil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: lgalis
QA Contact: Ruslana Babyuk
URL:
Whiteboard: ui:rbac
Depends On: 1445244
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 13:27 UTC by Satoe Imaishi
Modified: 2017-06-28 15:01 UTC (History)
10 users (show)

Fixed In Version: 5.7.3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1445244
Environment:
Last Closed: 2017-06-28 15:01:40 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
error (54.16 KB, image/png)
2017-06-09 09:10 UTC, Ruslana Babyuk
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-11 21:21:20 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/b8c9a7cb3e09292a35472e9ebbe2f8eec2659d2a

commit b8c9a7cb3e09292a35472e9ebbe2f8eec2659d2a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Apr 27 09:54:10 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 11 17:19:37 2017 -0400

    Merge pull request #1174 from lgalis/fix_ownership_link_for_templates
    
    Fix ownership link for infrastructure templates
    (cherry picked from commit 6f849211ce3468204b728ca5123d7529c7e332e7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448073

 .../application_controller/ci_processing.rb        |  2 ++
 .../application_controller/ci_processing_spec.rb   | 27 ++++++++++++++++++++++
 2 files changed, 29 insertions(+)

Comment 3 Ruslana Babyuk 2017-06-09 09:09:42 UTC
Reproduces with another error, please check screenshot

Comment 4 Ruslana Babyuk 2017-06-09 09:10:19 UTC
Created attachment 1286353 [details]
error

Comment 5 CFME Bot 2017-06-09 20:10:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/e209a0f71d1ee110f3a3a7a8443af0318d0ab25c

commit e209a0f71d1ee110f3a3a7a8443af0318d0ab25c
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Mon May 15 16:38:20 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 16:04:53 2017 -0400

    Merge pull request #1353 from lgalis/fine_add_missing_ownership_route_for_miq_template
    
    [FINE] Add missing ownership route for miq template
    (cherry picked from commit ef6694daa2f32e85802447b94dbda242e8b2065f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448073

 config/routes.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 7 errata-xmlrpc 2017-06-28 15:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.